/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../style/plateg-cockpit-variables.less';

.footer-holder {
  position: sticky;
  left: 0;
}

.ant-layout-footer {
  &.cockpit-footer {
    width: 100%;
    padding: 13px 32px 30px;
    background-color: @cockpit-footer-background;
    color: @cockpit-footer-color;
    position: relative;
    z-index: 1;
    @media screen and (max-width: 783px) {
      width: 100%;
      padding-left: 0;
      padding-right: 0;
    }

    a {
      color: @cockpit-footer-color;
      text-decoration: underline !important;

      &:hover {
        background: #fff;
        color: #000;
        text-decoration: none !important;
      }

      &:focus {
        outline-color: #fff !important;
      }
    }

    font-size: 1.4rem;

    .ant-row {
      font-size: 1.4rem;
    }

    ul {
      list-style: none;
      padding: 0;
      height: 100%;
      margin: 0;

      .gray-footer-element {
        color: @dirtywhite;
      }

      li {
        float: left;
        margin-right: 2em;
      }

      li + li {
        //margin-left: 2em;
      }
    }

    button {
      font-size: 16px;
    }

    .bottom-wrapper {
      display: flex;
      flex-flow: row;
      justify-content: space-between;
      @media screen and (max-width: 768px) {
        flex-flow: column;
      }

      p {
        white-space: normal;
        @media screen and (max-width: 768px) {
          width: auto;
        }
      }

      .link-list {
        flex: 0 53%;
      }
    }

    .button-container {
      display: flex;
      flex-direction: row;
      justify-content: end;

      .top-of-page-button {
        height: 32px;
        color: white;
        margin-right: 10px;

        &:hover {
          outline: 1px solid white !important;
        }
      }
    }

    .ant-divider {
      background-color: #5f5f5f;
    }
  }
}

.feedback-component {
  font-size: 1.6rem;
  line-height: 24px;
  color: #fff;
  @media screen and (max-width: 768px) {
    padding-top: 0;
  }

  .title {
    font-weight: 500;
    display: block;
    font-size: 1.8rem;
    margin: 0 0 13px;
  }

  .info-wrapper {
    margin-bottom: 80px;
    display: flex;
    flex-flow: row;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: top;
    @media screen and (max-width: 768px) {
      flex-flow: column;
      flex-direction: column-reverse;
    }

    .text-holder,
    .big-img {
      @media screen and (max-width: 768px) {
        width: auto;
      }
    }

    .text-holder {
      flex: 0 53%;
      padding: 16px 40px 16px 7px;
      @media screen and (max-width: 768px) {
        padding-right: 0;
        padding-left: 0;
      }
      @media screen and (max-width: 1024px) {
        padding-right: 60px;
      }

      .ant-typography {
        margin-bottom: 13px;
        color: #fff;
        font-size: 16px;
      }

      a {
        color: #fff;

        &:hover {
          background: #fff;
          color: #000;
          text-decoration: underline;

          .anticon {
            color: #000;
          }
        }

        &:focus {
          outline-style: dotted;
          outline-color: #fff !important;
          outline-width: 1px;
          outline-offset: 2px;
        }

        & > .anticon {
          margin-right: 11px;
          margin-left: 2px;
        }
      }
    }

    .big-img {
      .ant-image-img {
        margin-top: 18px;
        width: auto;
        max-width: 100%;
      }
    }
  }
}
